Skip to content

Quotation

You can upload the quotation for an RfQ.

Upload Quotation for a Project

Request

By sending the request, you will get a URL to upload the quotation corresponding to a project.

Note: A project is the same as an RfQ (Request for Quotation). Both /projects and /rfqs endpoints are available.

This API is the equivalent of uploading a PDF file in the Quotation section of the frontend. Upon successful upload, you can call the Update Project API to set the project status to QuotationAvailable.

Unless you change the status to QuotationAvailable, the PDF is still available internally, but (if the customer portal is available) the customer will not be notified and will not be able to download the PDF.

Uploading is a two-step process:

  1. Call this API to retrieve a URL to upload the file to.
  2. Upload the file contents to the retrieved URL using the PUT method.
    • The PUT call must set the x-ms-blob-type header to the value BlockBlob.

See the help page for an explanation of when and how to use this API.

Security
BearerAuth
Path
idstringrequired

id of the project for which to upload the quotation

Headers
Acceptstring(QuotationUploadAcceptHeader)required

Set this to application/api.luminovo.quotation-upload-v1+json.

Value:"application/api.luminovo.quotation-upload-v1+json"
Bodyapplication/jsonrequired
filenamestringrequired

Filename including extension.

Note that this is the name of the file as the customer will be able to download it for the RfQ. This name does not have to be related to the name of the file whose contents you want to upload to the URL given in the response payload.

replace_existing_quotationboolean

Optional property specifying whether the operation should replace the current quotation if it exists. If set to false and a quotation already exists, the operation will fail.

Default: false

POST
/projects/{id}/quotation/upload
curl -i -X POST \
  'https://api.luminovo.com/projects/{id}/quotation/upload' \
  -H 'Accept: application/api.luminovo.quotation-upload-v1+json' \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "filename": "example_quotation.pdf",
    "replace_existing_quotation": true
  }'

Responses

Generated url for upload.

Bodyapplication/json
urlstringrequired
Response
{ "url": "https://lumiquoteprod.blob.core.windows.net/luminovo/quotation/ee824cad-d7a6-4f48-87dc-e8461a9201c4/example_quotation.pdf?sv=2018-11-09&ss=b&srt=o" }